## org.apache.taglibs.standard.extra.spath
Class Path

    java.lang.Object
      org.apache.taglibs.standard.extra.spath.Path

Direct Known Subclasses:
  AbsolutePath, RelativePath

    public abstract class Path

extends Object

Represents a simple path (SPath) expression. A path is an ordered list of Steps.

Author:
  Shawn Bayern

Constructor Summary
`Path()`

Method Summary
`abstract List` `getSteps()` Retrives an ordered list of Step objects representing this expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Path

    public Path()

Method Detail

### getSteps

    public abstract List getSteps()

  Retrives an ordered list of Step objects representing this expression. The result is safely modifiable by the caller and must support List.add(Object) and List.add(int, Object).

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.